* {
    margin: 0;
    padding: 0;
}

section, main, footer, header, article{
    display: block;
}

*{
    box-sizing: border-box;
}

html{
font-size: 10px;
}

body{
    font-size: 1.6rem;
    line-height: 2.6rem;
    font-family: 'Open Sans', Verdana, sans-serif;
}

h1{
    font-family: 'Poppins', Verdana, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 4.4rem;
    line-height: 5.4rem;
}

h2{
    font-style: normal;
    font-weight: bold;
    font-size: 3.4rem;
    line-height: 4.6rem;
    text-align: center;
    margin-bottom: 30px;
}

h3{
    font-style: normal;
    font-weight: bold;
    font-size: 2.4rem;
    line-height: 3.4rem;
    text-align: center;
    margin: 10px 0;
}

h4{
    margin-bottom: 20px;
}

.wrapper{
    max-width: 1197px;
    margin: auto;
}

/*header*/
.header{
    box-shadow: 0px 4px 20px rgba( 0, 0, 0.05);
    padding: 5px 0 0px;
}

.header__wrapper{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header__logo-picture{
    max-height: 107px;
    border-radius: 50px;
}

.header__social-links{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.social_picture{
    max-height: 27px;
}

.header_phone {
color: black;    
text-decoration: none;
font-weight: bold;
transition: all .3s ease-out;
 &:hover {
        color: blue;
    }
}

.navigation{
    display: flex;
    font-size: 1.5rem;
    line-height: 2.8rem;
}

.navigation_item{
    list-style: none;
}

.navigation_link{
    text-decoration: none;
    list-style: none;
    color: black;
    padding: 0 5px;
    cursor: pointer;
    transition: all .3s ease-out;
    *&:hover {
        color: blue;
        font-weight: bold;
    }
}

/*title*/
.title{
    padding: 30px 0;
}

.title_content{
    margin: auto;
    text-align: center;
}

/*promo*/
.promo_text{
    margin: auto;
    text-align: center;
}

.promo__block{
    position: relative;
      width: 100%;
      height: 550px;  /*Укажите нужную высоту */
      background: url('./img/cat.JPG') no-repeat center center;
      background-size: cover; /* Растягивает фото пропорционально */
      color: white; /* Цвет текста */
      display: flex;
      align-items: center;
      justify-content: center;
      text-align: center;
    }

    .promo__block .promo_text {
      position: relative; /* Текст поверх фона */
      z-index: 1;
    }

    .promo__block::before {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: rgba(0, 0, 0, 0.5); /* Полупрозрачный слой для читаемости текста */
      z-index: 0;
      filter:blur(1px);
    }

.layout-3-column{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.block-shadows{
   padding: 0 5px;
   margin: auto;
   text-align: center;
}

.promo_img{
    border-radius: 50px;
    cursor: pointer;
    &:hover {
        transform: scale(1.1);
    }
}

/*service*/

.secvice{
    padding: 30px 0;
}

/*tools*/
.tools{
    padding: 30px 0;
    box-shadow: 0px 4px 20px rgba( 0, 0, 0.05);
}

.benefits{
    list-style-type: none;
}

.svg{
    width: 20px;
    height: 20px;
    margin-right: 10px;
}


/*price*/
.price{
    padding: 30px 0;
}

/*footer*/
.footer{
    background: lightgray;
    padding: 30px 0;
}

.footer__wrapper{
    display: flex;
}

.footer-navigation{
    flex-grow: 1;
    padding-left: 152px;
}

.footer_link{
    transition: all .3s ease-out;
    list-style: none;
    cursor: pointer;
    &:hover{
        color: blue;
    }
}
.messenger-link{
    color: black;
    text-decoration: none;
    &:hover{
        color:blue;
        text-decoration: underline;
    }
}
  
/*media 1024*/
@media screen and (max-width: 1024px){
    .wrapper{
        padding: 0 46px;
    }
    .promo-container{
        justify-content: center;
    }
    .promo_img{
        margin-bottom: 20px;
    }
    .footer__wrapper{
        flex-direction: column;
    }
    .footer-navigation{
        padding-left: 0px;
        margin-top: 10px;
    }
   }

@media screen and (max-width: 580px){
    .wrapper{
        padding: 0 21px;
    }
    h1{
        font-size: 3.2rem;
        line-height: 4.2rem;
    }
    h2{
        font-size: 2.4rem;
        line-height: 3.3rem;
        margin-bottom: 20px;
    }
     h3{
        font-size: 1.6rem;
        line-height: 2.4rem;
    }

    h4{
        font-size: 1.4rem;
        line-height: 2.2rem;
    }
    .header{
        padding: 5px 0 5px;
    }
    .header-container{
        flex-wrap: wrap;
    }
    .promo_img{
        width: 260px;
        height: 271px;
    }
   
    .price_box{
        list-style-type: none;
    }
    .footer{
        padding: 30px 0px 20px;
    }
    .footer-navigation{
        flex-direction: column;
    }
    .footer-navigation__column{
        margin-bottom: 10px;
    }
}
